3

Using Virt-Manager 1.2.1 on 14.04. / Xen 4.4 from repos. Cannot create VM machine because this error crops up on virt-manager.

This is after editing /etc/xen/xend-config.sxp to allow virt-manager to work and restarting libvirt and xen services.

Closest clue is from the OpenSuse forums which suggest Apparmor and libvirtd are in conflict. Solution seemed to be to disable Apparmor. Apparmor does not seem installed though.

9
1

Maybe this will work. Yet to try.

So it looks like there is a need to add the following to a file named usr.sbin.libvirtd. In commandline, updatedb (sudo updatedb) and then use locate to find that file (locate usr.sbin.libvirtd).

Edit it with gedit or nano or vi or another applicable text editor

Under these lines:

/lib/udev/scsi_id PUx,
/lib/udev/scsi_id PUx,
/usr/lib/xen-common/bin/xen-toolstack PUx,

Add:

/usr/lib/xen-*/bin/pygrub PUx,

Taken by and large from:

https://bugs.launchpad.net/ubuntu/+source/libvirt/+bug/1326003/comments/2

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.